package com.e6yun.project.sdk.api.pojo.basevo.cold;

import com.google.common.base.MoreObjects;

import java.util.List;

/**
 * @Description ApiLocationTempHumVO
 * @Author jiangruikang@e6yun.com
 * @Created Date: 2021/7/13 15:07
 * @ClassName ApiLocationTempHumVO
 * @Remark
 */
public class ApiLocationTempHumVO {

    /**
     * 区位名字
     */
    private String locationName;
    /**
     * 区位编码
     */
    private String locationCode;
    /**
     * 区位下的监测点信息列表
     */
    private List<ApiPointTempHumVO> pointList;

    public String getLocationName() {
        return locationName;
    }

    public void setLocationName(String locationName) {
        this.locationName = locationName;
    }

    public String getLocationCode() {
        return locationCode;
    }

    public void setLocationCode(String locationCode) {
        this.locationCode = locationCode;
    }

    public List<ApiPointTempHumVO> getPointList() {
        return pointList;
    }

    public void setPointList(List<ApiPointTempHumVO> pointList) {
        this.pointList = pointList;
    }

    @Override
    public String toString() {
        return MoreObjects.toStringHelper(this)
                .add("locationName", locationName)
                .add("locationCode", locationCode)
                .add("pointList", pointList)
                .toString();
    }
}
